Create Network Security Group

View as Markdown

Create a Network Security Group for Tenant.

Org must have a Tenant entity. User must have FORGE_TENANT_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired

Request

This endpoint expects an object.
namestringRequired2-256 characters
siteIdstringRequiredformat: "uuid"
descriptionstringOptional
statefulEgressbooleanOptional
Egress rules with protocol and destination ports defined but without source ports defined should automatically be made stateful.
ruleslist of objectsOptional
labelsmap from strings to stringsOptional

Response

Created
idstring
namestring2-256 characters
descriptionstring
siteIdstringformat: "uuid"
tenantIdstringformat: "uuid"
statusenum
Status values for Network Security Group objects
Allowed values:
statusHistorylist of objects
statefulEgressboolean
ruleslist of objects
labelsmap from strings to strings
createddatetime
updateddatetime

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error
501
Not Implemented Error